Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.authentication
Interface GroupReaderMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, ListerMBean, NameListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, GroupEditorMBean, GroupMemberListerMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, MemberGroupListerMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean

public interface GroupReaderMBean
extends NameListerMBean

Provides a set of methods for reading data about groups. An Authentication provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Authentication provider implements this MBean and automatically provides a tab for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getGroupDescription(String groupName)` Gets a group's description.
`boolean` | `groupExists(String groupName)` Indicates whether the specified group exists.
`boolean` | `isMember(String parentGroupName, String memberUserOrGroupName, boolean recursive)` Indicates whether a user or group is a member of the group that you specify.
`String` | `listGroups(String groupNameWildcard, int maximumToReturn)` Searches for a user name that matches a pattern.

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### getGroupDescription

    public String getGroupDescription(String groupName)
                               throws NotFoundException,
                                      InvalidParameterException

  Gets a group's description.

  Parameters:
    `groupName` - - The name of an existing group.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

### groupExists

    public boolean groupExists(String groupName)
                        throws InvalidParameterException

  Indicates whether the specified group exists.

  Parameters:
    `groupName` - - The name that this method evaluates.
  Throws:
    `InvalidParameterException`

### isMember

    public boolean isMember(String parentGroupName,
                            String memberUserOrGroupName,
                            boolean recursive)
                     throws NotFoundException,
                            InvalidParameterException

  Indicates whether a user or group is a member of the group that you specify. A recursive search returns true if the member belongs to the group that you specify or to any of the groups contained within that group."

  Parameters:
    `parentGroupName` - - The existing group within which this method searches for membership.
    `memberUserOrGroupName` - - The user or group name for which this method searches.
    `recursive` - - If set to `true`, the criteria for membership extends to any groups within the group that is specified by `parentGroupName`.

    If this argument is set to `false`, then this method checks only for direct membership within the `parentGroupName`.

  Throws:
    `NotFoundException`
    `InvalidParameterException`

### listGroups

    public String listGroups(String groupNameWildcard,
                             int maximumToReturn)
                      throws InvalidParameterException

  Searches for a user name that matches a pattern.

  This method returns a cursor that you can pass to the methods from `weblogic.management.utils.NameListerMBean` (which this MBean extends) to iterate through the returned list.

  This method does not sort the results.

  Parameters:
    `groupNameWildcard` - -

    The pattern for which this method searches. The pattern can end with an `*` (asterisk) as a wildcard, which matches any string of characters. The search is not case-sensitive.

    For example, a pattern of `abc` matches exactly one group name that contains only `abc`, a pattern of `ab*` matches all group names that start with `ab`, and a pattern of `*` matches all group names.

    `maximumToReturn` - - The maximum number of group names that this method returns. If there are more matches than this maximum, then the returned results are arbitrary because this method does not sort results. If the parameter is set to 0 there is no maximum and all results are returned.
  Throws:
    `InvalidParameterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD